Add attachment information to issues.xml in REST API

2012-10-22 14:00 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed   

Description

It would be very handy to include the attachments information to the issues.xml in the REST API

Same is already implemented for relations (issues.xml?include=relations)

Idea is to implement something like

api.array :attachments do

   issue.attachments.each do |attachment|

      render_api_attachment(attachment, api)

   end

end if include_in_api_response?('attachments')

 In the index.api.rsb file. Include attachements with issues.xml?include=attachments

Thanks

Associated revisions

Revision 16360 - 2017-03-03 18:18 - Jean-Philippe Lang

Add attachment information to issues.xml in REST API (#12181).

History

#1 - 2013-01-29 15:41 - Anonymous

Any news on that one? Are you planning to extend the REST API?

#2 - 2013-02-28 13:23 - Anonymous

- File index.api.rsb.patch added

This is a patch to trunk 11491

I would really appreciate if this could get into trunk.

Thanks

#3 - 2017-03-03 18:19 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 3.4.0

- Resolution set to Fixed

#4 - 2017-03-31 14:54 - Toshi MARUYAMA

- Description updated

Files

index.api.rsb.patch 720 Bytes 2013-02-28 Anonymous
